

<%
 # provide locals: :security [ :smr_position ]
 smr_position = false unless smr_position
 type = if security.has_type_model? then security.get_type else false end
%>

<div class="overview_container">
<table id="overview_securityinfo" class="type_<%=security.type%>">
  <thead>
    <tr><th colspan="2"><%=type%></th></tr>
  </thead>
  <tbody>
    <tr>
        <td>Distribution</td>
        <td><%= type.distribution %> <span>paid every <%= type.distribution_interval %> months</span></td>
    </tr>
    <tr><td>Distribution Date</td><td><%=smr_humanize type.time_distribution %></td></tr>
    <% if type.is_retaining_profits or type.is_synthetic %>
    <tr>
        <td>Flags</td>
        <td>
          <%if type.is_retaining_profits %><div class="fund_flags"><%= check_box_tag :is_retaining_profits, '1', type.is_retaining_profits, :disabled=>true %><%= label_tag :is_retaining_profits %></div><% end %>
          <%if type.is_synthetic %><div class="fund_flags"><%= check_box_tag :is_synthetic, '1', type.is_synthetic, :disabled=>true %><%= label_tag :is_synthetic %></div><% end %>
        </td>
    <% end %>
    </tr>
  </tbody>
</table>
</div>
